Attribute VB_Name = "MArgs"
'
' MiniBrowser
' Written by Paul Kershaw 2002-2004
' Copyright (C) 2002, 2004
'
' This source file is part of MiniBrowser.
'
' MiniBrowser is free software; you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation; either version 2 of the License, or
' (at your option) any later version.
'
' Foobar is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with Foobar; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
'

Option Explicit

Public gsArg() As String

Public Sub gParseCommand(ByVal sTokens As String)
    Dim lArgCount As Long
    Dim sArg As String

    If Len(Command$) Then
        lArgCount = glArgCount(sTokens)
        ReDim gsArg(lArgCount) As String

        lArgCount = 1
        sArg = GetToken$(Command$, sTokens)
        Do While Len(sArg)
            gsArg(lArgCount) = sArg
            sArg = GetToken$("", sTokens)
            lArgCount = lArgCount + 1
        Loop
    Else
        ReDim gsArg(0) As String
        gsArg(0) = ""
    End If
End Sub

Public Function glArgCount(ByVal sTokens As String) As Long
    Dim sArg As String

    glArgCount = 0
    sArg = GetToken$(Command$, sTokens)
    
    Do While Len(sArg)
        glArgCount = glArgCount + 1
        sArg = GetToken$("", sTokens)
    Loop
End Function

Public Function glArgsHasURL() As Long
    Dim I As Long
    glArgsHasURL = -1
    For I = 1 To UBound(gsArg)
        If PathIsURL(gsArg(I)) Then
            glArgsHasURL = I
            Exit For
        End If
    Next I
End Function

Public Function gbArgsNoToolbar() As Boolean
    Dim I As Long
    gbArgsNoToolbar = False
    For I = 1 To UBound(gsArg)
        If LCase$(gsArg(I)) = "-notoolbar" Then
            gbArgsNoToolbar = True
            Exit For
        End If
    Next I
End Function
