Attribute VB_Name = "MReg"
'
' MiniBrowser
' Written by Paul Kershaw 2002-2004
' Copyright (C) 2002, 2004
'
' This source file is part of MiniBrowser.
'
' MiniBrowser is free software; you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation; either version 2 of the License, or
' (at your option) any later version.
'
' Foobar is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with Foobar; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
'


Const RegSettingLeft = "Left"
Const RegSettingTop = "Top"
Const RegSettingWidth = "Width"
Const RegSettingHeight = "Height"

Public Sub RegSaveFormPos(fForm As Form, Optional SaveDimensions As Boolean)
    With fForm
        SaveSetting App.EXEName, .Name, RegSettingLeft, .Left
        SaveSetting App.EXEName, .Name, RegSettingTop, .Top
        
        If SaveDimensions Then
            SaveSetting App.EXEName, .Name, RegSettingWidth, .Width
            SaveSetting App.EXEName, .Name, RegSettingHeight, .Height
        End If
    End With
End Sub

Public Sub RegLoadFormPos(fForm As Form)
    Dim T, L As String
    Dim W, H As String
    With fForm
        L = GetSetting(App.EXEName, .Name, RegSettingLeft, vbNullString)
        T = GetSetting(App.EXEName, .Name, RegSettingTop, vbNullString)
        W = GetSetting(App.EXEName, .Name, RegSettingWidth, vbNullString)
        H = GetSetting(App.EXEName, .Name, RegSettingHeight, vbNullString)

        If Len(L) Then
            .Left = CLng(Val(L))
        End If
        If Len(T) Then
            .Top = CLng(Val(T))
        End If
        If Len(W) Then
            .Width = CLng(Val(W))
        End If
        If Len(H) Then
            .Height = CLng(Val(H))
        End If
    End With
End Sub
