Attribute VB_Name = "MErrs"
'
' MiniBrowser
' Written by Paul Kershaw 2002-2004
' Copyright (C) 2002, 2004
'
' This source file is part of MiniBrowser.
'
' MiniBrowser is free software; you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation; either version 2 of the License, or
' (at your option) any later version.
'
' Foobar is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with Foobar; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
'

Declare Function GetVersion Lib "kernel32" () As Long

Public Sub IErr(sModule As String, sProc As String, lErr As Long)
    
    With frmError
        .Text1.Text = "Description: " & Error(lErr) & vbCrLf & _
                      "Code: " & Trim$(Str$(lErr)) & vbCrLf & _
                      "Location: " & sModule & "::" & sProc & vbCrLf & _
                      "Windows version: " & GetWinVersion & vbCrLf & _
                      "Occurred: " & Date$ & " " & Time$
        .Show vbModal, frmMain
    End With
    
'    MsgBox Err.Description & vbNewLine & vbNewLine & _
'           "Occured in: " & sModule & "::" & sProc, vbExclamation + vbOKOnly, _
'           "Error! (" & Trim$(Str$(Err)) & ")"
End Sub

Public Function GetWinVersion() As String
    Dim Ver As Long, WinVer As Long
    Ver = GetVersion()
    WinVer = Ver And &HFFFF&
    'retrieve the windows version
    GetWinVersion = Format((WinVer Mod 256) + ((WinVer \ 256) / 100), "Fixed")
End Function
